buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ARK <ark.w...@gmail.com>
Subject Re: buildr installation problem
Date Fri, 08 Feb 2008 05:15:10 GMT
After upgrade to 1.0.1, I get the error:
"/usr/bin/gem:23: uninitialized constant Gem::GemRunner (NameError)"

So I added
'require 'rubygems/gem_runner''
in file /usr/bin/gem

Now it works fine!
Thanks Assaf

On Thu, 2008-02-07 at 18:56 -0800, Assaf Arkin wrote:
> Can you try upgrading to the latest version or RubyGem and installing
> buildr again?
> 
> 
> sudo gem update --system
> 
> 
> Assaf
> 
> On 2/7/08, ARK <ark.work@gmail.com> wrote:
>         I have my buildr installed successfull, here is the list of my
>         gems:
>         *** LOCAL GEMS ***
>         
>         Antwrap (0.6.0)
>             A Ruby module that wraps the Apache Ant build tool,
>         enabling Ant
>             Tasks to be invoked from a Ruby/JRuby scripts.
>         
>         archive-tar-minitar (0.5.1)
>             Provides POSIX tarchive management from Ruby programs.
>         
>         builder (2.1.2)
>             Builders for MarkUp.
>         
>         buildr (1.2.10)
>             A build system that doesn't suck
>         
>         facets (1.8.54)
>             If Godzilla were a Programmer's Library
>         
>         highline (1.4.0)
>             HighLine is a high-level command-line IO library.
>         
>         needle (1.3.0)
>             Needle is a Dependency Injection/Inversion of Control
>         container for
>             Ruby. It supports both type-2 (setter) and type-3
>         (constructor)
>             injection. It takes advantage of the dynamic nature of
>         Ruby to
>             provide a rich and flexible approach to injecting
>         dependencies.
>         
>         net-sftp (1.1.0)
>             Net::SFTP is a pure-Ruby implementation of the SFTP client
>         protocol.
>         
>         net-ssh (1.1.2)
>             Net::SSH is a pure-Ruby implementation of the SSH2 client
>         protocol.
>         
>         rake (0.7.3)
>             Ruby based make-like utility.
>         
>         rjb (1.1.1)
>             Ruby Java bridge
>         
>         rspec (1.0.8)
>             RSpec-1.0.8 (r2338) - BDD for Ruby
>         http://rspec.rubyforge.org/
>         
>         rubyzip (0.9.1)
>             rubyzip is a ruby module for reading and writing zip files
>         
>         sources (0.0.1)
>             This package provides download sources for remote gem
>         installation
>         
>         xml-simple (1.0.11)
>             A very simple API for XML processing.
>         
>         
>         But why I still can not execute 'buildr'? When I type
>         'buildr', it still
>         gives me :bash: buildr: command not found
>         How does this happy?
>         
>         Thanks!
> 
> 
> 
> -- 
> CTO, Intalio
> http://www.intalio.com


Mime
View raw message